> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1permissions



## OpenAPI

````yaml https://auth-ms.supergasbras.app/swagger/v1/swagger.json put /v1/permissions
openapi: 3.0.1
info:
  title: CTech Auth
  description: Service responsible for handling Auth version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/permissions:
    put:
      tags:
        - Permissions
      parameters:
        - name: api-version
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertPermissionRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/UpsertPermissionRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpsertPermissionRequest'
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    UpsertPermissionRequest:
      required:
        - permissions
      type: object
      properties:
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/PermissionRequest'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    PermissionRequest:
      required:
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        description:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````